import es
import playerlib

speedAdd         = 10  # The Percentage of speed added for a player who completed a survey
healthAdd        = 10  # The Percentage of health added for a player who completed a survey
alphaPercentage  = 50  # The percentage of alpha (invisibleness) for a player who completed a survey
extraCash        = 500 # The amount of extra cash gained for a player who completed a survey
heGrenade        = 1   # Does the player spawn with a grenade or not?
armourAdd        = 100 # How much armour does the player receive

def playerSpawn(ev):
    """ 
        This will run every time a player is allowed to have special attributes.
        Define and set all additional extras and features 
    """
    message  = "#green[Source Survey] #default- #lightgreenYou have gained "
    bonuses = 0
    if speedAdd:
        bonuses += 1
        message += "speed, "
        speed = es.getplayerprop(ev['userid'], "CBasePlayer.localdata.m_flLaggedMovementValue")
        speed += (speed * speedAdd / 100.)
        es.setplayerprop(ev['userid'], "CBasePlayer.localdata.m_flLaggedMovementValue", speed)
        
    if healthAdd:
        bonuses += 1
        message += "health, "
        health = es.getplayerprop(ev['userid'], "CBasePlayer.m_iHealth")
        health += (health * healthAdd / 100.)
        es.setplayerprop(ev['userid'], "CBasePlayer.m_iHealth", int(health) )
        
    if extraCash:
        bonuses += 1
        message += "cash, "
        es.setplayerprop(ev['userid'], "CCSPlayer.m_iAccount", (es.getplayerprop(ev['userid'], "CCSPlayer.m_iAccount") + extraCash) )
        
    if alphaPercentage:
        bonuses += 1
        message += "alpha, "
        alpha = int(255 * (alphaPercentage / 100.) )
        player = playerlib.getPlayer(ev['userid'])
        player.set("weaponcolor", (255, 255, 255, alpha) )
        player.set("color", (255, 255, 255, alpha) )
        
    if heGrenade:
        bonuses += 1
        message += "grenade, "
        es.server.queuecmd('es_xgive %s weapon_hegrenade' % ev['userid'])
        
    if armourAdd:
        bonuses += 1
        message += "armor, "
        es.setplayerprop(ev['userid'], "CCSPlayer.m_ArmorValue", es.getplayerprop(ev['userid'], "CCSPlayer.m_ArmorValue") + int(armourAdd))
    
    if bonuses == 1:
        message = (message[:message.find('gained') + 6] + " a " + message[message.find('gained') + 7:]).replace(',', ' bonus')
    else:
        message = message[:-2]
        message = message[:message.rfind(',')] + " and " + message[message.rfind(',') + 1:] + " bonuses."
    es.tell(ev['userid'], '#multi', message)